<template>
  <el-header class="layout-header" :height="setHeaderHeight" v-show="!isTagsViewCurrenFull">
    <NavBarsIndex />
  </el-header>
</template>

<script setup lang="ts" name="layoutHeader">
import { computed } from 'vue'
import { useThemeConfig } from '/@/stores/themeConfig'
import { storeToRefs } from 'pinia';
import { useTagsViewRoutes } from '/@/stores/tagsViewRoutes'
import NavBarsIndex from '/@/layout/navBars/index.vue'

const storesThemeConfig = useThemeConfig()
const { themeConfig } = storeToRefs(storesThemeConfig)

// 设置 header 的高度
const setHeaderHeight = computed(() => {
  let { isTagsview, layout } = themeConfig.value
  if (isTagsview && layout !== 'classic') return '84px';
  else return '50px'
})

const storesTagsViewRoutes = useTagsViewRoutes()
const { isTagsViewCurrenFull } = storeToRefs(storesTagsViewRoutes)

</script>
<style lang='scss' scoped></style>